Page MenuHomePhabricator

Parsoid should use the "mw" interwiki prefix instead of the "mediawikiwiki" one
Closed, ResolvedPublic1 Story Points

Description

https://wikitech.wikimedia.org/w/index.php?title=Schema_changes&type=revision&diff=826585&oldid=826339

"mw" is typically the standard interwiki prefix instead, not mediawikiwiki.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate interwiki map (disable __list sorting)
mediawiki/extensions/WikimediaMaintenance : wmf/1.29.0-wmf.21dumpInterwiki: Remove sorting in __list
mediawiki/extensions/WikimediaMaintenance : masterdumpInterwiki: Remove sorting in __list
mediawiki/core : wmf/1.29.0-wmf.21Interwiki: Don't override interwiki map order
mediawiki/core : masterInterwiki: Don't override interwiki map order

Event Timeline

Legoktm created this task.Sep 11 2016, 7:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2016, 7:32 PM

I think this is the order specified in the interwiki map, which is what Parsoid uses.

Jdforrester-WMF renamed this task from VisualEditor used the longer "mediawikiwiki" interwiki prefix instead of the (usually) standard "mw" one to Parsoid should use the "mw" interwiki prefix instead of the "mediawikiwiki" one.Sep 13 2016, 7:08 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF added a project: Parsoid.

Should we fix the ordering in the interwiki map so that we get the desired result or will it affect things elsewhere?

I don't think anything else depends on the interwiki map order?

I just noticed this again where the (deprecated) "labsconsole" interwiki prefix is preferred to the "wikitech" one.

Jdforrester-WMF set the point value for this task to 1.Apr 19 2017, 1:34 AM

Done in revision 16613884. Pending sync.

Change 348893 had a related patch set uploaded (by Krinkle):
[operations/mediawiki-config@master] Interwiki map update

https://gerrit.wikimedia.org/r/348893

Done in revision 16613884. Pending sync.

It would be very nice to document that order of the interwiki map entries on that page now matters. It would also be nice if the table automatically sorted by prefix ascending without requiring user interaction.

As it is currently, the table entries have every appearance of being mostly sorted and I can almost guarantee that some polite passing admin will alphabetize at some point in the future without realizing the implications.

As it is currently, the table entries have every appearance of being mostly sorted and I can almost guarantee that some polite passing admin will alphabetize at some point in the future without realizing the implications.

Yeah, this probably shouldn't just be a sysop-editable page on meta. Same with other things that have been dumped there over the years. Something to consider in the future.

Change 348893 abandoned by Krinkle:
Interwiki map update

Reason:
Superseded by 40c53e7876b008e05adad0bbababb82952d3c6c0.

https://gerrit.wikimedia.org/r/348893

Krinkle closed this task as Resolved.Apr 25 2017, 1:15 AM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 25 2017, 1:15 AM

I'm still getting [[labsconsole:]] when creating a link to e.g. https://wikitech.wikimedia.org/wiki/Deployments from mediawiki.org. I guess this needs a restart or cache clearing from Parsoid or something?

Krinkle reopened this task as Open.Apr 25 2017, 1:20 AM
Krinkle removed Krinkle as the assignee of this task.

I'm still getting [[labsconsole:]] when creating a link to e.g. https://wikitech.wikimedia.org/wiki/Deployments from mediawiki.org. I guess this needs a restart or cache clearing from Parsoid or something?

Still getting labsconsole after a new deploy which restarted all Parsoid workers and would have picked up the new config ... https://www.mediawiki.org/w/index.php?title=User%3ASSastry_%28WMF%29%2FVE_Test&type=revision&diff=2454143&oldid=2454141

I'm still getting [[labsconsole:]] when creating a link to e.g. https://wikitech.wikimedia.org/wiki/Deployments from mediawiki.org. I guess this needs a restart or cache clearing from Parsoid or something?

Still getting labsconsole after a new deploy which restarted all Parsoid workers and would have picked up the new config ... https://www.mediawiki.org/w/index.php?title=User%3ASSastry_%28WMF%29%2FVE_Test&type=revision&diff=2454143&oldid=2454141

@Krinkle, https://meta.wikimedia.org/w/api.php?action=query&meta=siteinfo&format=jsonfm&siprop=externalimages|namespaces|namespacealiases|magicwords|functionhooks|extensiontags|general|interwikimap|languages|protocols shows that labsconsole prefix is still before the wikitech one.

Change 350281 had a related patch set uploaded (by Krinkle):
[mediawiki/core@master] Interwiki: Don't override interwiki map order

https://gerrit.wikimedia.org/r/350281

Krinkle claimed this task.Apr 25 2017, 9:08 PM

Change 350281 merged by jenkins-bot:
[mediawiki/core@master] Interwiki: Don't override interwiki map order

https://gerrit.wikimedia.org/r/350281

Change 350360 had a related patch set uploaded (by Krinkle):
[mediawiki/core@wmf/1.29.0-wmf.21] Interwiki: Don't override interwiki map order

https://gerrit.wikimedia.org/r/350360

Change 350360 merged by jenkins-bot:
[mediawiki/core@wmf/1.29.0-wmf.21] Interwiki: Don't override interwiki map order

https://gerrit.wikimedia.org/r/350360

Mentioned in SAL (#wikimedia-operations) [2017-04-26T23:51:43Z] <niharika29@naos> Synchronized php-1.29.0-wmf.21/includes/interwiki/ClassicInterwikiLookup.php: Interwiki: Dont override interwiki map order (T145337) (duration: 01m 00s)

Change 350897 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaMaintenance@master] dumpInterwiki: Remove sorting in __list

https://gerrit.wikimedia.org/r/350897

Change 350899 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Update interwiki map (disable __list sorting)

https://gerrit.wikimedia.org/r/350899

Okay. So there's another layer.

  1. List on Meta-Wiki. – revision 16613884.
  2. Update interwiki cache. No logic fix needed, just had to be pulled from Meta-Wiki. rOMWC40c53e7876b0: Update interwiki map
  3. Order of key __list in interwiki cache. This was being sorted. Sort removed to be in https://gerrit.wikimedia.org/r/350897.
  4. Order returned by Interwiki::getAllPrefixes() for API. Was being sorted, removed by https://gerrit.wikimedia.org/r/350281.

Change 350897 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] dumpInterwiki: Remove sorting in __list

https://gerrit.wikimedia.org/r/350897

Change 350903 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaMaintenance@wmf/1.29.0-wmf.21] dumpInterwiki: Remove sorting in __list

https://gerrit.wikimedia.org/r/350903

Change 350903 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@wmf/1.29.0-wmf.21] dumpInterwiki: Remove sorting in __list

https://gerrit.wikimedia.org/r/350903

Change 350899 merged by jenkins-bot:
[operations/mediawiki-config@master] Update interwiki map (disable __list sorting)

https://gerrit.wikimedia.org/r/350899

Mentioned in SAL (#wikimedia-operations) [2017-05-10T19:27:50Z] <dereckson@tin> Synchronized wmf-config/interwiki.php: Interwiki map update (disable __list sorting, T145337) (duration: 00m 41s)